Skip to content

Modify Members



POST /api/v1/workspace/member/batch_modify

Overview

Modify one or more members.

Body Request Parameters

Parameter Type Required Description
accountUUIDs array Y Account list
Example: ['UUID1 of an account not joined to the workspace', 'UUID2 of an account not joined to the workspace']
Allow empty: True
roleUUIDs array Y User role UUID list
Example: None
Allow empty: False
onlyModifyRoles boolean Y Whether to modify only member roles. True does not modify team information.
Example: True
Allow empty: False
memberGroupUUIDs array Team list
Example: ['xxx', 'xxx']
Allow empty: True
acntWsNickname string Account nickname in this workspace
Example: Nickname AAA
Allow empty: True
$maxCustomLength: 128

Supplementary Parameter Notes

Data description.*

When modifying member roles, if roleUUIDs contains roles that require Token review, you must also include role UUIDs that do not require review; the Deployment Plan does not require Billing Center review.

  • Request parameter description
Parameter type Description
accountUUIDs list Member account UUID
roleUUIDs list Role UUID
onlyModifyRoles boolean Whether to modify role information only (true: batch modification, false: individual modification)
memberGroupUUIDs list Team information is required when modifying an individual member
acntWsNickname string Account nickname in the workspace

Request Example

curl 'https://openapi.truewatch.com/api/v1/workspace/member/batch_modify' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"accountUUIDs": ["acnt_xxxx32"], "onlyModifyRoles": true, "roleUUIDs": ["general","wsAdmin"]}' \
--compressed 

Response

{
    "code": 200,
    "content": {
        "autoLoginUrl": "http://testing-zc-portal.cloudflux.cn/#/signin?from=http:%2F%2Ftesting-zc-portal.cloudflux.cn%2Fportal.html%23%2Finfo%2Flist&ticket=7d628f01-6c63-454a-8cf7-7c30678a9b0d"
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-F0E7FBC3-3A2B-4843-9B5E-DAD070AB812B"
}